Bug 688667 - [abrt] xscreensaver-gl-extras-1:5.12-12.fc15.1: __memcpy_ssse3_back: Process /usr/libexec/xscreensaver/boxed was killed by signal 11 (SIGSEGV)
Summary: [abrt] xscreensaver-gl-extras-1:5.12-12.fc15.1: __memcpy_ssse3_back: Process ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mesa
Version: 15
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:cae3b3587d325a66162f110323e...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-03-17 16:45 UTC by Naresh V.
Modified: 2012-01-04 01:57 UTC (History)
2 users (show)

Fixed In Version: mesa-7.11.2-1.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-01-04 01:57:28 UTC


Attachments (Terms of Use)
File: backtrace (138.23 KB, text/plain)
2011-03-17 16:45 UTC, Naresh V.
no flags Details

Description Naresh V. 2011-03-17 16:45:21 UTC
abrt version: 1.1.17
architecture: x86_64
Attached file: backtrace, 141544 bytes
cmdline: boxed -root
component: xscreensaver
Attached file: coredump, 57970688 bytes
crash_function: __memcpy_ssse3_back
executable: /usr/libexec/xscreensaver/boxed
kernel: 2.6.38-0.rc8.git0.1.fc15.x86_64
package: xscreensaver-gl-extras-1:5.12-12.fc15.1
rating: 4
reason: Process /usr/libexec/xscreensaver/boxed was killed by signal 11 (SIGSEGV)
release: Fedora release 15 (Lovelock)
time: 1300205891
uid: 500

How to reproduce
-----
1. install xfce spin, let defaults (in power management and screensaver be)
2. close lid expecting to suspend and on not seeing it suspend open it
3. xscreensaver has locked the screen and weird colouration begins which starts worrying me and i hard rest the laptop after attempts to ctrl+alt+f2, etc. don't work.

Comment 1 Naresh V. 2011-03-17 16:45:25 UTC
Created attachment 486062 [details]
File: backtrace

Comment 2 Mamoru TASAKA 2011-03-17 17:25:23 UTC
Perhaps misuse of memcpy() in mesa code.

Comment 3 Fedora Update System 2011-12-07 20:25:09 UTC
mesa-7.11.2-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/mesa-7.11.2-1.fc15

Comment 4 Fedora Update System 2011-12-10 20:00:52 UTC
Package mesa-7.11.2-1.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing mesa-7.11.2-1.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-16923/mesa-7.11.2-1.fc15
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2012-01-04 01:57:28 UTC
mesa-7.11.2-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.